# -*- coding:utf-8 -*-
#
# Author: huanfuxi <huanfuxi@kylinos.cn>
# Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
#
import os
import psutil

PID_PATH=("", "tmp", "security-switch.pid")
PID_FILE="/".join(PID_PATH)

def write_pid():
	pid = os.getpid()
	with open(PID_FILE, 'w') as f:
		f.write(str(pid))

def read_pid():
	if os.path.exists(PID_FILE):
		with open(PID_FILE, 'r') as f:
			pid = f.read()
			return pid
	else:
		return '0'

def check_is_running():
	pid = int(read_pid())
	if pid:
		runnig_pids = psutil.pids()
		if pid in runnig_pids:
			return True
		else:
			write_pid()
			return False
	else:
		write_pid()
		return False

def remove_pid_file():
	try:
		if os.path.exists(PID_FILE):  os.remove(PID_FILE)
	except Exception as e :
		# print(e)
		pass
